Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Jan 2022 07:03:33 +0100

Juri Linkov <[email-masked]> writes:

> For example, today while editing a shell script I needed to consult the
> man page about the arguments of the command `zenity` used in the script.
> It takes too many keystrokes to type `M-x man RET zenity RET'
> or first to move point to this command, then to type `M-x man RET RET'.
>
> With the context menu, it's just one click: press the right mouse button
> on the command name, select the item "Open man page", and release the
> mouse button.

So it sounds to me like shell-script-mode (and derivatives and other
shell-ish modes) should have the `man' bits of the context menu enabled
by default?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no